=== debian/changelog ===
kdesdk (4:4.8.4+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Pino Toscano ]
  * Improve packages descriptions:
    - kdesdk-dolphin-plugins: mention all the contained plugins.
    - kcachegrind-converters: sort the list of scripts.
    - kdesdk-strigi-plugins: add xliff files.
  * Make kdesdk-dolphin-plugins enhance dolphin.
  * Pass --language=C to dh_installman to avoid its autodetection of the
    language, which causes bogus results due to the script names (all the
    man pages in kdesdk-scripts are in English, anyway). (Closes: #696959)
  * Remove .texi files under GFDL + invariant sections: (Closes: #695701)
    - add prune-nonfree to debian/rules to remove them.
    - add a note on README.source of what we are removing from the original
      tarball.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Confirm symbols files from buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 30 Jan 2013 13:47:01 -0300

kdesdk (4:4.8.4-2) unstable; urgency=low

  * Push to unstable

 -- Sune Vuorela <sune@debian.org>  Thu, 21 Jun 2012 23:41:07 +0200

kdesdk (4:4.8.4-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

  [ Pino Toscano ]
  * Fix typo in kompare's description. (Closes: #670199)

  [ José Manuel Santamaría Lema ]
  * Update build dependencies:
    - Bump kde-sc-dev-latest to 4:4.8.4.
    - Bump kdepimlibs5-dev to >= 4:4.8.
    - Bump libkonq5-dev to >= 4:4.8.
  * Update patches:
    - update dont_export_private_classes.diff.
    - refresh other patches to make them apply without any offset.
  * Rename the following packages due to name/SONAME changes:
    - libkastencontrollers4 -> libkasten1controllers1
    - libkastencore4 -> libkasten1core1
    - libkastengui4 -> libkasten1gui1
    - liboktetacore4 -> libokteta1core1
    - liboktetagui4 -> libokteta1gui1
    - liboktetakastencontrollers4abi1 -> libkasten1okteta1controllers1
    - liboktetakastencore4 -> libkasten1okteta1core1
    - liboktetakastengui4 -> libkasten1okteta1gui1
  * Update installed files.
  * Bump Standards-Version to 3.9.3:
    - kdesdk binary package now belongs to section 'metapackages'.
  * Add watch file.
  * Update lintian overrides.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 20 Jun 2012 12:54:30 -0300

kdesdk (4:4.7.4-3) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Update uploaders, remove Armin.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Mar 2012 10:38:58 +0100

kdesdk (4:4.7.4-2) experimental; urgency=low

  * Add default-jre-headless to Build-Depends, thus we make sure that antlr
    will use the latest gcj (4.6 today) when building with sbuild configured to
    use the aptitude based resolver. Right now, this avoids an FTBFS on
    kfreebsd-amd64; this FTBFS happens because of gcj 4.4, which segfaults when
    executing antlr.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 28 Dec 2011 22:22:31 +0100
