## kdesdk 4.8.5

=== debian/changelog ===
kdesdk (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:50:14 +0200

kdesdk (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)
    - Update lokalize.install

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:38:11 +0200

kdesdk (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 19:22:47 +0200
