=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: kdesdk
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
- Sune Vuorela <sune@debian.org>, 
- Modestas Vainius <modax@debian.org>, 
- George Kiagiadakis <kiagiadakis.george@gmail.com>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Armin Berres <armin+debian@space-based.de>,
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.8), libphonon-dev (>= 4:4.3.1),
- libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost-dev,
+ kdepimlibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.1),
+ libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.46-dev,
  binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
- shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.8),
- libantlr-dev, antlr, default-jre-headless,
+ shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.8.1), libantlr-dev, antlr,
  libqca2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://www.kde.org
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdesdk.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdesdk.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdesdk.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdesdk.git
 
 Package: kdesdk
 Architecture: all
-Section: metapackages
 Depends: ${misc:Depends}, cervisia (>= ${source:Version}), kapptemplate (>= ${source:Version}),
 # kbugbuster (>= ${source:Version}),
  kcachegrind (>= ${source:Version}), kdesdk-kio-plugins (>= ${source:Version}) | kdesvn-kio-plugins,
@@ -122,10 +121,10 @@
  The included scripts are:
  .
   * dprof2calltree: converts the tmon.out output of Perl's Devel::DProf package
-  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
+  * pprof2calltree: converts the pprof output from APD 
   * memprof2calltree: converts the memory profiles of memprof
   * op2calltree: converts the OProfile's output of "opreport -gdf" (v 0.8)
-  * pprof2calltree: converts the pprof output from APD
+  * hotshot2calltree: converts the pstat output of the hotshot Python profiler
  .
  This package is part of the KDE Software Development Kit module.
 
@@ -133,16 +132,11 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}, dolphin
-Replaces: dolphin (<< 4:4.5.0)
-Enhances: dolphin
+Replaces: dolphin (<< 4:4.5.0), dolphin-plugins-bazaar
+Breaks: dolphin-plugins-bazaar
 Description: dolphin VCS plugins
- This package contains plugins that offer integration in Dolphin with the
- following version control systems:
- .
-  * Bzr
-  * Git
-  * Mercurial
-  * Subversion
+ This package contains plugins that offer integration of various version
+ control systems in Dolphin.
  .
  This package is part of the KDE Software Development Kit module.
 
@@ -176,7 +170,7 @@
 Package: kdesdk-scripts
 Architecture: all
 Section: devel
-Depends: ${misc:Depends}, ${perl:Depends}, python
+Depends: ${misc:Depends}, ${perl:Depends}, python, pkg-kde-tools
 Recommends: subversion, gawk, optipng, advancecomp
 Suggests: cvs, khelpcenter4, dmalloc, gdb, kdelibs5-doc, qt4-doc, valgrind, devscripts, xsltproc
 Enhances: kate
@@ -204,7 +198,6 @@
   * Patch files (diff)
   * Qt Linguist files (ts)
   * Gettext translation files (po)
-  * XML localisation files (xliff)
  .
  This package is part of the KDE Software Development Kit module.
 
@@ -226,7 +219,7 @@
 Replaces: libcvsservice0 (<<4:4.0.0)
 Breaks: libcvsservice0 (<<4:4.0.0)
 Description: file difference viewer 
- Kompare displays the differences between files.  It can compare the
+ Kompare is displays the differences between files.  It can compare the
  contents of files or directories, as well as create, display, and merge patch
  files.
  .
@@ -294,6 +287,3 @@
 Suggests: khelpcenter4, poxml
 Description: computer-aided translation system
  Lokalize is a computer-aided translation system that focuses on productivity 
- and quality assurance. It has components usual for CAT tools: translation 
- memory, glossary, and also a unique translation merging (synchronization) 
- capability. It is primarily targeted at software translation and also
