## kdesdk 4.9.2

=== debian/changelog ===
kdesdk (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 00:55:55 -0400

kdesdk (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:25:58 +0100

kdesdk (4:4.9.1-0ubuntu1) quantal; urgency=low

  [ Harald Sitter ]
  * New upstream release

  [ Philip Muškovac ]
  * Change sonames from 4.9.0 to 4.9.* 

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:27:36 +0530

kdesdk (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:51 +0100

kdesdk (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * Update symbols files
  * Add build-dep on pkg-config

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:55:47 +0100

kdesdk (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Jun 2012 15:11:09 +0100

kdesdk (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New uptream beta release
  * Update dont_export_private_classes.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 11:49:54 +0100

kdesdk (4:4.8.3-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Philip Muškovac ]
  * Switch boost build-dep to 1.49 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 May 2012 21:51:58 +0200
