=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Armin Berres <armin+debian@space-based.de>,
  Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.1),
- libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.46-dev,
+Build-Depends: 
+ pkg-config, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12), kdelibs5-dev (>= 4:4.9.2),
+ kdepimlibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.1),
+ libsvn-dev, libstreamanalyzer-dev (>= 0.6.3), libxslt1-dev, libboost1.49-dev,
  binutils-dev, libhunspell-dev, libltdl-dev, libx11-dev, x11proto-core-dev,
- shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.8.1), libantlr-dev, antlr,
+ shared-mime-info (>= 0.30), libkonq5-dev (>= 4:4.9.2), libantlr-dev, antlr,
  libqca2-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org
@@ -64,7 +64,7 @@
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: kdelibs5-dev (>= 4:4.1.80)
+Suggests: kdelibs5-dev (>= 4:4.9.2)
 Description: application template generator
  KAppTemplate is a shell script that will create the necessary framework to
  develop several types of applications, including applications based on the
